axis2c fails to build from source on maverick/i386

Bug #600174 reported by Matthias Klose on 2010-06-30
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
axis2c (Ubuntu)
High
Dave Walker
Maverick
High
Dave Walker
Natty
High
Dave Walker

Bug Description

1.6.0-0ubuntu8 linaro test rebuild, doesn't fail in current maverick
https://launchpad.net/ubuntu/+archive/test-rebuild-20100628/+build/1817118

make[5]: Entering directory `/build/buildd/axis2c-1.6.0/util/test/uri'
*** glibc detected *** /build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test: invalid fastbin entry (free): 0x0804c4c8 ***
======= Backtrace: =========
/lib/libc.so.6(+0x6c551)[0x5563c551]
/lib/libc.so.6(+0x6ddc0)[0x5563ddc0]
/lib/libc.so.6(cfree+0x6d)[0x55640ead]
/build/buildd/axis2c-1.6.0/util/src/.libs/libaxutil.so.0(axutil_allocator_free_impl+0x1d)[0x5559bebd]
/build/buildd/axis2c-1.6.0/util/src/.libs/libaxutil.so.0(axutil_uri_free+0x102)[0x555a85a2]
/build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test[0x8048c5c]
/build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test[0x8048d49]
/lib/libc.so.6(__libc_start_main+0xe6)[0x555e6ce6]
/build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test[0x8048931]
======= Memory map: ========
08048000-0804a000 r-xp 00000000 03:01 165993 /build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test
0804a000-0804b000 r--p 00001000 03:01 165993 /build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test
0804b000-0804c000 rw-p 00002000 03:01 165993 /build/buildd/axis2c-1.6.0/util/test/uri/.libs/lt-uri_test
0804c000-0806d000 rw-p 0804c000 00:00 0 [heap]
55555000-55571000 r-xp 00000000 03:01 99696 /lib/ld-2.12.so
55571000-55572000 r--p 0001b000 03:01 99696 /lib/ld-2.12.so
55572000-55573000 rw-p 0001c000 03:01 99696 /lib/ld-2.12.so
55573000-55576000 rw-p 55573000 00:00 0
55579000-5558e000 r-xp 00000000 03:01 99713 /lib/libpthread-2.12.so
5558e000-5558f000 ---p 00015000 03:01 99713 /lib/libpthread-2.12.so
5558f000-55590000 r--p 00015000 03:01 99713 /lib/libpthread-2.12.so
55590000-55591000 rw-p 00016000 03:01 99713 /lib/libpthread-2.12.so
55591000-55593000 rw-p 55591000 00:00 0
55593000-555b2000 r-xp 00000000 03:01 165431 /build/buildd/axis2c-1.6.0/util/src/.libs/libaxutil.so.0.6.0
555b2000-555b3000 r--p 0001e000 03:01 165431 /build/buildd/axis2c-1.6.0/util/src/.libs/libaxutil.so.0.6.0
555b3000-555b4000 rw-p 0001f000 03:01 165431 /build/buildd/axis2c-1.6.0/util/src/.libs/libaxutil.so.0.6.0
555b4000-555b7000 rw-p 555b4000 00:00 0
555b7000-555ca000 r-xp 00000000 03:01 98508 /lib/libz.so.1.2.3.4
555ca000-555cb000 r--p 00012000 03:01 98508 /lib/libz.so.1.2.3.4
555cb000-555cc000 rw-p 00013000 03:01 98508 /lib/libz.so.1.2.3.4
555cc000-555ce000 r-xp 00000000 03:01 99702 /lib/libdl-2.12.so
555ce000-555cf000 r--p 00001000 03:01 99702 /lib/libdl-2.12.so
555cf000-555d0000 rw-p 00002000 03:01 99702 /lib/libdl-2.12.so
555d0000-55727000 r-xp 00000000 03:01 99699 /lib/libc-2.12.so
55727000-55728000 ---p 00157000 03:01 99699 /lib/libc-2.12.so
55728000-5572a000 r--p 00157000 03:01 99699 /lib/libc-2.12.so
5572a000-5572b000 rw-p 00159000 03:01 99699 /lib/libc-2.12.so
5572b000-5572f000 rw-p 5572b000 00:00 0
55733000-5574e000 r-xp 00000000 03:01 98801 /lib/libgcc_s.so.1
5574e000-5574f000 r--p 0001a000 03:01 98801 /lib/libgcc_s.so.1
5574f000-55750000 rw-p 0001b000 03:01 98801 /lib/libgcc_s.so.1
55800000-55821000 rw-p 55800000 00:00 0
55821000-55900000 ---p 55821000 00:00 0
ffee8000-ffefd000 rw-p 7ffffffea000 00:00 0 [stack]
ffffe000-fffff000 r-xp ffffe000 00:00 0 [vdso]
The host information of uri is home.netscape.com:443
port of scheme is 80
The uri is http://user:<email address hidden>/foo?bar#item5
The base of uri is http://user:<email address hidden>/foo?bar
The clone of uri is http://user:<email address hidden>/foo?bar
The resolved relative uri is http://user:<email address hidden>/foo
The protocol is http
The server is user:<email address hidden>:80
The port is 80
The path is /foo
/bin/bash: line 4: 12013 Aborted ${dir}$tst
FAIL: uri_test
===================
1 of 1 tests failed
===================
make[5]: *** [check-TESTS] Error 1

Related branches

Matthias Klose (doko) on 2010-06-30
Changed in axis2c (Ubuntu):
importance: Undecided → High
status: New → Confirmed
tags: added: armel toolchain

fails in maverick too

summary: - axis2c fails to build from source in linaro
+ axis2c fails to build from source in maverick
Changed in axis2c (Ubuntu Maverick):
milestone: none → maverick-alpha-3
tags: removed: armel toolchain
Thierry Carrez (ttx) wrote :

Assigning to UEC team since this is a Eucalyptus dependency... Dustin feel free to reassign inside the team.

Changed in axis2c (Ubuntu Maverick):
assignee: nobody → Dustin Kirkland (kirkland)
Philip Muškovac (yofel) wrote :

There's a patch claiming to fix this in bug 606686

Changed in axis2c (Ubuntu Maverick):
status: Confirmed → In Progress
Dustin Kirkland  (kirkland) wrote :

Philip,

That patch is not solving this build issue in my testing of the build here.

Can you verify that it fixed it for you?

Changed in axis2c (Ubuntu Maverick):
milestone: maverick-alpha-3 → ubuntu-10.10-beta
Dustin Kirkland  (kirkland) wrote :

Reassigning to Thierry. Talking to him this morning, he felt he might have time to look at this.

Changed in axis2c (Ubuntu Maverick):
assignee: Dustin Kirkland (kirkland) → Thierry Carrez (ttx)
Thierry Carrez (ttx) wrote :

I thought I'd have time but decided to spend those cycles helping Dave out with UEC. Remilestoning to beta and restoring initial assignation.

Changed in axis2c (Ubuntu Maverick):
assignee: Thierry Carrez (ttx) → Dustin Kirkland (kirkland)
status: In Progress → Triaged
Thierry Carrez (ttx) wrote :

I rebuilt it locally and it seems to build quite well in current maverick... Marking wontfix against maverick, please reopen if you think it still applies to maverick -- can't judge for linaro though, maybe it's still broken, and maybe it's fixed with Rob's patch on bug 606686...

Changed in axis2c (Ubuntu Maverick):
assignee: Dustin Kirkland (kirkland) → Thierry Carrez (ttx)
status: Triaged → Won't Fix
Changed in axis2c (Ubuntu):
assignee: Dustin Kirkland (kirkland) → nobody
Changed in axis2c (Ubuntu Maverick):
assignee: Thierry Carrez (ttx) → nobody
milestone: ubuntu-10.10-beta → none
Changed in axis2c (Ubuntu):
milestone: ubuntu-10.10-beta → none
summary: - axis2c fails to build from source in maverick
+ axis2c fails to build from source in linaro
Changed in axis2c (Ubuntu Maverick):
milestone: none → ubuntu-10.10
status: Won't Fix → New
Thierry Carrez (ttx) on 2010-10-04
tags: added: server-mrs
summary: - axis2c fails to build from source in linaro
+ axis2c fails to build from source ?

Builds ok on current maverick sbuild / amd64. Will try i386 now.

Thierry Carrez (ttx) wrote :

Applying Rob's patch from bug 606686 does not fix it. However it probably points to the right area: bugs in the test suite linkage, rather than in axis2c itself.

Thierry Carrez (ttx) on 2010-10-04
summary: - axis2c fails to build from source ?
+ axis2c fails to build from source on maverick/i386
Thierry Carrez (ttx) on 2010-10-04
Changed in axis2c (Ubuntu Maverick):
assignee: nobody → Chuck Short (zulcss)
status: New → Confirmed
Dave Walker (davewalker) wrote :

Fails on amd64 with i386 chroot build.

Thierry Carrez (ttx) on 2010-10-07
Changed in axis2c (Ubuntu Maverick):
assignee: Chuck Short (zulcss) → Dave Walker (davewalker)
milestone: ubuntu-10.10 → maverick-updates
Changed in axis2c (Ubuntu Natty):
milestone: maverick-updates → natty-alpha-1
Changed in axis2c (Ubuntu Natty):
milestone: natty-alpha-1 → natty-alpha-2
Matthias Klose (doko) wrote :

please see https://launchpad.net/~doko/+archive/ppa/+packages
for a 1.7.0 something package. the build failed on the buildd for configure issues, but locally passes the uri test which fails in 1.6.0 and fails later in a soap test.

so I assume the problem is fixed upstream and "just" needs to be identified and backported.

Martin Pitt (pitti) on 2011-01-25
Changed in axis2c (Ubuntu Natty):
milestone: natty-alpha-2 → ubuntu-11.04-beta
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package axis2c - 1.6.0-0ubuntu10

---------------
axis2c (1.6.0-0ubuntu10) natty; urgency=low

  * debian/patches/fix_uri_test.patch: Fix double free in testcase
    causing FTBFS (LP: #600174)
 -- Jani Monoses <email address hidden> Tue, 08 Mar 2011 16:43:31 +0200

Changed in axis2c (Ubuntu Natty):
status: Confirmed → Fix Released
Artur Rona (ari-tczew) wrote :

Please forward this patch to Debian and upstream in oder to keep in sync with Debian.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in axis2c (Ubuntu Maverick):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers